<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('referral_users', function (Blueprint $table) {
            $table->id();

            $table->unsignedBigInteger('iam_principal_xid');
            $table->unsignedBigInteger('referred_user_xid');

            $table->foreign('iam_principal_xid')->references('id')->on('iam_principal')->onDelete('cascade');
            $table->foreign('referred_user_xid')->references('id')->on('iam_principal')->onDelete('cascade');
            
            $table->dateTime('referred_date_time')->nullable();
          
            $table->boolean('is_active')->default(1)->comment('1=Active, 0=Expired');
            $table->softDeletes();
            $table->integer('created_by')->nullable();
            $table->integer('modified_by')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('referral_users');
    }
};
